package unis

import (
	"dashboard/logger"
	"dashboard/models"
	"dashboard/pkg/rpcsup"
	"dashboard/settings"
	"fmt"
)

var log *logger.Logger

type UnisRpcService struct {
}

func NewRpcService() *UnisRpcService {
	return &UnisRpcService{}
}

func RpcListenAndServe(_log *logger.Logger, config *settings.RpcConfig) error {
	log = _log
	addrees := fmt.Sprintf("%s:%d", config.Host, config.Port)

	go rpcsup.JsonServer(log, addrees, NewRpcService())

	return nil
}

func (u *UnisRpcService) Config(res models.UnisRpcRequest, rsp *models.UnisRpcResponse) error {
	fmt.Println("rpc server get mesage",res)

	rsp.Id = res.Id

	return nil
}
